Subject: bug#14068: [PATCH] Officially support DragonFly BSD

From: John Marino <[email-masked]>
Date: Wed, 03 Apr 2013 15:22:15 +0200

On 3/27/2013 14:28, John Marino wrote:
> Hi, Emacs has built on DragonFly BSD for years, but it required patches
> of course. One of the leaders of NetBSD's pkgsrc project has requested
> that the patch to configure.ac which enables DragonFly support be pushed
> upstream, and that seems like a great idea.
>
> The follow patches were generated against version 24.3, so they should
> apply directly.
>
> configure.ac:
> https://raw.github.com/jsonn/pkgsrc/trunk/editors/emacs24/patches/patch-aa
>
> configure (yes, I know it's generated but just FYI):
> https://raw.github.com/jsonn/pkgsrc/trunk/editors/emacs24/patches/patch-ab
>
> It would be great if Emacs could finally be built on DragonFly BSD out
> of the box without patches. Can we make this happen? Do you need
> anything else from me? I'm hoping this is an obvious contribution.
>

The previously submitted patch was for release 24.3.
The patch to add DragonFly support to version 24.3.50.112178 is much 
smaller:
https://raw.github.com/jrmarino/DPorts/staged/editors/emacs-devel/dragonfly/patch-configure.ac

Nobody responded to the original submission.  Did I do my part 
correctly?  Is there anything else I need to do?

John